Bug 730941 - pdftops crashes with
Summary: pdftops crashes with
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 10:29 UTC by Jan Willies
Modified: 2011-08-30 20:37 UTC (History)
3 users (show)

Fixed In Version: poppler-0.17.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 20:37:50 UTC


Attachments (Terms of Use)
the pdf document poppler is failing (427.06 KB, application/pdf)
2011-08-16 10:29 UTC, Jan Willies
no flags Details

Description Jan Willies 2011-08-16 10:29:37 UTC
Created attachment 518454 [details]
the pdf document poppler is failing

Description of problem: Trying to print this pdf results in a poppler crash


Version-Release number of selected component (if applicable): 0.17.0-1.fc16


How reproducible: always


Steps to Reproduce:
1. pdftops VRL1L6.pdf
2.
3.
  
Actual results:
[jan@jan ~]$ pdftops Downloads/VRL1L6.pdf 
*** glibc detected *** pdftops: double free or corruption (!prev): 0x0000000000753240 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3fa3e78666]
/usr/lib64/libpoppler.so.14(_ZN16PreScanOutputDev17tilingPatternFillEP8GfxStateP7CatalogP6ObjectPdiP4DictS6_S6_iiiidd+0xb5)[0x3fae714345]
/usr/lib64/libpoppler.so.14(_ZN3Gfx19doTilingPatternFillEP16GfxTilingPatternbb+0xb64)[0x3fae6d4564]
/usr/lib64/libpoppler.so.14(_ZN3Gfx8opEOFillEP6Objecti+0x6d)[0x3fae6d69cd]
/usr/lib64/libpoppler.so.14(_ZN3Gfx2goEb+0x141)[0x3fae6d1da1]
/usr/lib64/libpoppler.so.14(_ZN3Gfx7displayEP6Objectb+0x95)[0x3fae6d21e5]
/usr/lib64/libpoppler.so.14(_ZN4Page12displaySliceEP9OutputDevddibbiiiibP7CatalogPFbPvES4_PFbP5AnnotS4_ES4_+0x1ff)[0x3fae70f35f]
/usr/lib64/libpoppler.so.14(_ZN11PSOutputDev14checkPageSliceEP4PageddibbiiiibP7CatalogPFbPvES4_+0x6c1)[0x3fae726ce1]
/usr/lib64/libpoppler.so.14(_ZN4Page12displaySliceEP9OutputDevddibbiiiibP7CatalogPFbPvES4_PFbP5AnnotS4_ES4_+0xe3)[0x3fae70f243]
/usr/lib64/libpoppler.so.14(_ZN4Page7displayEP9OutputDevddibbbP7CatalogPFbPvES4_PFbP5AnnotS4_ES4_+0x6b)[0x3fae70f4db]
/usr/lib64/libpoppler.so.14(_ZN6PDFDoc12displayPagesEP9OutputDeviiddibbbPFbPvES2_PFbP5AnnotS2_ES2_+0xc6)[0x3fae713696]
pdftops[0x401ea1]
/lib64/libc.so.6(__libc_start_main+0xed)[0x3fa3e2150d]
pdftops[0x402001]
======= Memory map: ========
00400000-00404000 r-xp 00000000 00:13 681181                             /usr/bin/pdftops
00603000-00604000 r--p 00003000 00:13 681181                             /usr/bin/pdftops
00604000-00606000 rw-p 00004000 00:13 681181                             /usr/bin/pdftops
00737000-007a1000 rw-p 00000000 00:00 0                                  [heap]
3fa3a00000-3fa3a21000 r-xp 00000000 00:13 679426                         /lib64/ld-2.14.90.so
3fa3c21000-3fa3c22000 r--p 00021000 00:13 679426                         /lib64/ld-2.14.90.so
3fa3c22000-3fa3c23000 rw-p 00022000 00:13 679426                         /lib64/ld-2.14.90.so
3fa3c23000-3fa3c24000 rw-p 00000000 00:00 0 
3fa3e00000-3fa3fa4000 r-xp 00000000 00:13 679427                         /lib64/libc-2.14.90.so
3fa3fa4000-3fa41a4000 ---p 001a4000 00:13 679427                         /lib64/libc-2.14.90.so
3fa41a4000-3fa41a8000 r--p 001a4000 00:13 679427                         /lib64/libc-2.14.90.so
3fa41a8000-3fa41a9000 rw-p 001a8000 00:13 679427                         /lib64/libc-2.14.90.so
3fa41a9000-3fa41af000 rw-p 00000000 00:00 0 
3fa4200000-3fa4217000 r-xp 00000000 00:13 679428                         /lib64/libpthread-2.14.90.so
3fa4217000-3fa4416000 ---p 00017000 00:13 679428                         /lib64/libpthread-2.14.90.so
3fa4416000-3fa4417000 r--p 00016000 00:13 679428                         /lib64/libpthread-2.14.90.so
3fa4417000-3fa4418000 rw-p 00017000 00:13 679428                         /lib64/libpthread-2.14.90.so
3fa4418000-3fa441c000 rw-p 00000000 00:00 0 
3fa4e00000-3fa4e16000 r-xp 00000000 00:13 679449                         /lib64/libz.so.1.2.5
3fa4e16000-3fa5016000 ---p 00016000 00:13 679449                         /lib64/libz.so.1.2.5
3fa5016000-3fa5017000 rw-p 00016000 00:13 679449                         /lib64/libz.so.1.2.5
3fa5200000-3fa5283000 r-xp 00000000 00:13 679457                         /lib64/libm-2.14.90.so
3fa5283000-3fa5482000 ---p 00083000 00:13 679457                         /lib64/libm-2.14.90.so
3fa5482000-3fa5483000 r--p 00082000 00:13 679457                         /lib64/libm-2.14.90.so
3fa5483000-3fa5484000 rw-p 00083000 00:13 679457                         /lib64/libm-2.14.90.so
3fa5600000-3fa5615000 r-xp 00000000 00:13 679458                         /lib64/libgcc_s-4.6.1-20110715.so.1
3fa5615000-3fa5814000 ---p 00015000 00:13 679458                         /lib64/libgcc_s-4.6.1-20110715.so.1
3fa5814000-3fa5815000 rw-p 00014000 00:13 679458                         /lib64/libgcc_s-4.6.1-20110715.so.1
3fa7a00000-3fa7a35000 r-xp 00000000 00:13 679710                         /usr/lib64/liblcms.so.1.0.19
3fa7a35000-3fa7c35000 ---p 00035000 00:13 679710                         /usr/lib64/liblcms.so.1.0.19
3fa7c35000-3fa7c36000 rw-p 00035000 00:13 679710                         /usr/lib64/liblcms.so.1.0.19
3fa7c36000-3fa7c39000 rw-p 00000000 00:00 0 
3fa8e00000-3fa8e26000 r-xp 00000000 00:13 679502                         /usr/lib64/libpng12.so.0.46.0
3fa8e26000-3fa9025000 ---p 00026000 00:13 679502                         /usr/lib64/libpng12.so.0.46.0
3fa9025000-3fa9026000 r--p 00025000 00:13 679502                         /usr/lib64/libpng12.so.0.46.0
3fa9026000-3fa9027000 rw-p 00026000 00:13 679502                         /usr/lib64/libpng12.so.0.46.0
3fa9200000-3fa9227000 r-xp 00000000 00:13 679464                         /lib64/libexpat.so.1.5.2
3fa9227000-3fa9426000 ---p 00027000 00:13 679464                         /lib64/libexpat.so.1.5.2
3fa9426000-3fa9429000 rw-p 00026000 00:13 679464                         /lib64/libexpat.so.1.5.2
3fa9600000-3fa9698000 r-xp 00000000 00:13 679494                         /usr/lib64/libfreetype.so.6.7.0
3fa9698000-3fa9897000 ---p 00098000 00:13 679494                         /usr/lib64/libfreetype.so.6.7.0
3fa9897000-3fa989d000 r--p 00097000 00:13 679494                         /usr/lib64/libfreetype.so.6.7.0
3fa989d000-3fa989e000 rw-p 0009d000 00:13 679494                         /usr/lib64/libfreetype.so.6.7.0
3fa9e00000-3fa9e34000 r-xp 00000000 00:13 679501                         /usr/lib64/libfontconfig.so.1.4.4
3fa9e34000-3faa033000 ---p 00034000 00:13 679501                         /usr/lib64/libfontconfig.so.1.4.4
3faa033000-3faa035000 rw-p 00033000 00:13 679501                         /usr/lib64/libfontconfig.so.1.4.4
3fab200000-3fab21f000 r-xp 00000000 00:13 679747                         /usr/lib64/libopenjpeg.so.3.1.4.0
3fab21f000-3fab41e000 ---p 0001f000 00:13 679747                         /usr/lib64/libopenjpeg.so.3.1.4.0
3fab41e000-3fab420000 rw-p 0001e000 00:13 679747                         /usr/lib64/libopenjpeg.so.3.1.4.0
3fabe00000-3fabee8000 r-xp 00000000 00:13 679476                         /usr/lib64/libstdc++.so.6.0.16
3fabee8000-3fac0e8000 ---p 000e8000 00:13 679476                         /usr/lib64/libstdc++.so.6.0.16
3fac0e8000-3fac0f0000 r--p 000e8000 00:13 679476                         /usr/lib64/libstdc++.so.6.0.16
3fac0f0000-3fac0f2000 rw-p 000f0000 00:13 679476                         /usr/lib64/libstdc++.so.6.0.16
3fac0f2000-3fac107000 rw-p 00000000 00:00 0 
3fae600000-3fae7d1000 r-xp 00000000 00:13 679748                         /usr/lib64/libpoppler.so.14.0.0
3fae7d1000-3fae9d0000 ---p 001d1000 00:13 679748                         /usr/lib64/libpoppler.so.14.0.0
3fae9d0000-3fae9de000 r--p 001d0000 00:13 679748                         /usr/lib64/libpoppler.so.14.0.0
3fae9de000-3faea08000 rw-p 001de000 00:13 679748                         /usr/lib64/libpoppler.so.14.0.0
3fb7a00000-3fb7a3b000 r-xp 00000000 00:13 679566                         /usr/lib64/libjpeg.so.62.0.0
3fb7a3b000-3fb7c3b000 ---p 0003b000 00:13 679566                         /usr/lib64/libjpeg.so.62.0.0
3fb7c3b000-3fb7c3c000 rw-p 0003b000 00:13 679566                         /usr/lib64/libjpeg.so.62.0.0
3fb7c3c000-3fb7c4c000 rw-p 00000000 00:00 0 
7fb6710da000-7fb6710e2000 rw-p 00000000 00:00 0 
7fb6710f9000-7fb6710fd000 rw-p 00000000 00:00 0 
7fff5f16c000-7fff5f18e000 rw-p 00000000 00:00 0                          [stack]
7fff5f1ff000-7fff5f200000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Abgebrochen

Expected results:

the correct ps


Additional info: I can't print the document because of this

Comment 1 Jan Willies 2011-08-16 10:30:50 UTC
it worked fine with F15

Comment 2 Marek Kašík 2011-08-17 15:25:31 UTC
Hi,

this bug has been fixed upstream in poppler-0.17.2 by commit http://cgit.freedesktop.org/poppler/poppler/commit/?id=f5d2ddd13d27078355dee63207671885bf9b0926. I'll file a separate update for this bug because it will take some time to make an update for the 0.17.2 release yet.

Regards

Marek

Comment 3 Fedora Update System 2011-08-17 16:10:06 UTC
poppler-0.17.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/poppler-0.17.0-2.fc16

Comment 4 Fedora Update System 2011-08-17 20:24:15 UTC
Package poppler-0.17.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poppler-0.17.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/poppler-0.17.0-2.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-30 20:37:44 UTC
poppler-0.17.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.